Manual do PHP
Anterior |  | Próxima

# yp_next

(PHP 3 >= 3.0.7, PHP 4, PHP 5 <= 5.0.4)

yp_next -- Returns the next key-value pair in the named map

## Descrição

array yp_next ( string domain, string map, string key )

Returns the next key-value pair in the named `map` after the specified `key`.

## Parâmetros

`domain`

`map`

`key`

## Valores de retornado

Returns the next key-value pair as an array, or `FALSE` on errors.

## Exemplos

Exemplo 1. Example for NIS next
`<?php $entry = yp_next($domain, "passwd.byname", "joe"); if (!$entry) { echo "No more entries found\n"; echo "<!--" . yp_errno() . ": " . yp_err_string() . "-->"; } $key = key($entry); echo "The next entry after joe has key " . $key . " and value " . $entry[$key]; ?>`

## Veja também

yp_first()
yp_get_default_domain()

Anterior | Principal | Próxima
yp_match | Acima | yp_order